Index: c/src/tests/tmtests/tm01/task1.c
===================================================================
--- c/src/tests/tmtests/tm01/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm01/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -162,5 +162,5 @@
 
   put_time(
-    "rtems_semaphore_obtain",
+    "rtems_semaphore_obtain: available",
     semaphore_obtain_time,
     OPERATION_COUNT * OPERATION_COUNT,
@@ -170,5 +170,5 @@
 
   put_time(
-    "rtems_semaphore_obtain (RTEMS_NO_WAIT)",
+    "rtems_semaphore_obtain: not available -- NO_WAIT",
     semaphore_obtain_no_wait_time,
     OPERATION_COUNT * OPERATION_COUNT,
@@ -178,5 +178,5 @@
 
   put_time(
-    "rtems_semaphore_release",
+    "rtems_semaphore_release: no waiting tasks",
     semaphore_release_time,
     OPERATION_COUNT * OPERATION_COUNT * 2,
Index: c/src/tests/tmtests/tm02/task1.c
===================================================================
--- c/src/tests/tmtests/tm02/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm02/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -147,5 +147,5 @@
 
   put_time(
-    "rtems_semaphore_obtain (blocking)",
+    "rtems_semaphore_obtain: not available -- caller blocks",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm03/task1.c
===================================================================
--- c/src/tests/tmtests/tm03/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm03/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -140,5 +140,5 @@
 
   put_time(
-    "rtems_semaphore_release (preemptive)",
+    "rtems_semaphore_release: task readied -- preempts caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm04/task1.c
===================================================================
--- c/src/tests/tmtests/tm04/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm04/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -95,5 +95,5 @@
 
     put_time(
-      "rtems_task_restart (blocked, preempt)",
+      "rtems_task_restart: blocked task -- preempts caller",
       end_time,
       1,
@@ -114,5 +114,5 @@
 
     put_time(
-      "rtems_task_restart (ready, preempt)",
+      "rtems_task_restart: ready task -- preempts caller",
       end_time,
       1,
@@ -161,5 +161,5 @@
 
   put_time(
-    "rtems_semaphore_release (readying)",
+    "rtems_semaphore_release: task readied -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -238,5 +238,5 @@
 
   put_time(
-    "rtems_task_restart (suspended)",
+    "rtems_task_restart: suspended task -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -254,5 +254,5 @@
 
   put_time(
-    "rtems_task_delete (suspended)",
+    "rtems_task_delete: suspended task",
     end_time,
     OPERATION_COUNT,
@@ -282,5 +282,5 @@
 
   put_time(
-    "rtems_task_restart (ready)",
+    "rtems_task_restart: ready task -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -304,5 +304,5 @@
 
   put_time(
-    "rtems_task_restart (blocked, no preempt)",
+    "rtems_task_restart: blocked task -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -321,5 +321,5 @@
 
   put_time(
-    "rtems_task_delete (blocked)",
+    "rtems_task_delete: blocked task",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm05/task1.c
===================================================================
--- c/src/tests/tmtests/tm05/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm05/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -91,5 +91,5 @@
 
   put_time(
-    "rtems_task_resume (causing preempt)",
+    "rtems_task_resume: task readied -- preempts caller",
     end_time,
     OPERATION_COUNT,
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_task_suspend self",
+    "rtems_task_suspend: calling task",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm06/task1.c
===================================================================
--- c/src/tests/tmtests/tm06/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm06/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -89,5 +89,5 @@
 
   put_time(
-    "rtems_task_restart self",
+    "rtems_task_restart: calling task",
     end_time,
     OPERATION_COUNT,
@@ -117,5 +117,5 @@
 
   put_time(
-    "rtems_task_suspend (no preempt)",
+    "rtems_task_suspend: returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -130,5 +130,5 @@
 
   put_time(
-    "rtems_task_resume (no preempt)",
+    "rtems_task_resume: task readied -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -143,5 +143,5 @@
 
   put_time(
-    "rtems_task_delete (others)",
+    "rtems_task_delete: ready task",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm07/task1.c
===================================================================
--- c/src/tests/tmtests/tm07/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm07/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -15,5 +15,5 @@
 #include "system.h"
 
-rtems_id Task_id[OPERATION_COUNT+1], task_index;
+rtems_id Task_id[ OPERATION_COUNT+1 ], task_index;
 
 rtems_task High_task(
@@ -85,5 +85,5 @@
 
     put_time(
-      "rtems_task_restart suspended/preempt",
+      "rtems_task_restart: suspended task -- preempts caller",
       end_time,
       OPERATION_COUNT,
Index: c/src/tests/tmtests/tm08/task1.c
===================================================================
--- c/src/tests/tmtests/tm08/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm08/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -98,5 +98,5 @@
 
   put_time(
-    "rtems_task_set_priority current priority",
+    "rtems_task_set_priority: obtain current priority",
     end_time,
     OPERATION_COUNT,
@@ -111,5 +111,5 @@
 
   put_time(
-    "rtems_task_set_priority no preempt",
+    "rtems_task_set_priority: returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -128,5 +128,5 @@
 
   put_time(
-    "rtems_task_mode (current)",
+    "rtems_task_mode: obtain current mode",
     end_time,
     OPERATION_COUNT,
@@ -151,5 +151,5 @@
 
   put_time(
-    "rtems_task_mode (no reschedule)",
+    "rtems_task_mode: no reschedule",
     end_time,
     OPERATION_COUNT * 2,
@@ -163,5 +163,5 @@
 
   put_time(
-    "rtems_task_mode (reschedule)",
+    "rtems_task_mode: reschedule -- returns to caller",
     end_time,
     1,
@@ -245,5 +245,5 @@
 
   put_time(
-    "rtems_task_mode (preemptive)",
+    "rtems_task_mode: reschedule -- preempts caller",
     end_time,
     1,
Index: c/src/tests/tmtests/tm09/task1.c
===================================================================
--- c/src/tests/tmtests/tm09/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm09/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -185,5 +185,5 @@
 
   put_time(
-    "rtems_message_queue_send (no tasks waiting)",
+    "rtems_message_queue_send: no waiting tasks",
     send_time,
     OPERATION_COUNT * OPERATION_COUNT,
@@ -193,5 +193,5 @@
 
   put_time(
-    "rtems_message_queue_urgent (no tasks waiting)",
+    "rtems_message_queue_urgent: no waiting tasks",
     urgent_time,
     OPERATION_COUNT * OPERATION_COUNT,
@@ -201,5 +201,5 @@
 
   put_time(
-    "rtems_message_queue_receive (messages available)",
+    "rtems_message_queue_receive: available",
     receive_time,
     OPERATION_COUNT * OPERATION_COUNT * 2,
@@ -209,5 +209,5 @@
 
   put_time(
-    "rtems_message_queue_flush (empty queue)",
+    "rtems_message_queue_flush: no messages flushed",
     empty_flush_time,
     OPERATION_COUNT,
@@ -217,5 +217,5 @@
 
   put_time(
-    "rtems_message_queue_flush (messages flushed)",
+    "rtems_message_queue_flush: messages flushed",
     flush_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm10/task1.c
===================================================================
--- c/src/tests/tmtests/tm10/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm10/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -106,5 +106,5 @@
 
   put_time(
-    "rtems_message_queue_receive (RTEMS_NO_WAIT)",
+    "rtems_message_queue_receive: not available -- NO_WAIT",
     end_time,
     OPERATION_COUNT,
@@ -154,5 +154,5 @@
 
   put_time(
-    "rtems_message_queue_receive (blocking)",
+    "rtems_message_queue_receive: not available -- caller blocks",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm11/task1.c
===================================================================
--- c/src/tests/tmtests/tm11/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm11/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -144,5 +144,5 @@
 
   put_time(
-    "rtems_message_queue_send (preemptive)",
+    "rtems_message_queue_send: task readied -- preempts caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm12/task1.c
===================================================================
--- c/src/tests/tmtests/tm12/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm12/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_message_queue_send (readying)",
+    "rtems_message_queue_send: task readied -- returns to caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm13/task1.c
===================================================================
--- c/src/tests/tmtests/tm13/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm13/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -143,5 +143,5 @@
 
   put_time(
-    "rtems_message_queue_urgent (preemptive)",
+    "rtems_message_queue_urgent: task readied -- preempts caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm14/task1.c
===================================================================
--- c/src/tests/tmtests/tm14/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm14/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_message_queue_urgent (readying)",
+    "rtems_message_queue_urgent: task readied -- returns to caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm15/task1.c
===================================================================
--- c/src/tests/tmtests/tm15/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm15/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -99,5 +99,5 @@
 
   put_time(
-    "rtems_event_receive (current)",
+    "rtems_event_receive: obtain current events",
     end_time,
     OPERATION_COUNT,
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_event_receive (RTEMS_NO_WAIT)",
+    "rtems_event_receive: not available -- NO_WAIT",
     end_time,
     OPERATION_COUNT,
@@ -138,5 +138,5 @@
 
   put_time(
-    "rtems_event_receive (blocking)",
+    "rtems_event_receive: not available -- caller blocks",
     end_time,
     OPERATION_COUNT,
@@ -156,5 +156,5 @@
 
   put_time(
-    "rtems_event_send (non-blocking)",
+    "rtems_event_send: no task readied",
     end_time,
     OPERATION_COUNT,
@@ -173,5 +173,5 @@
 
   put_time(
-    "rtems_event_receive (available)",
+    "rtems_event_receive: available",
     end_time,
     1,
@@ -186,5 +186,5 @@
 
   put_time(
-    "rtems_event_send (readying)",
+    "rtems_event_send: task readied -- returns to caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm16/task1.c
===================================================================
--- c/src/tests/tmtests/tm16/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm16/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -137,5 +137,5 @@
 
   put_time(
-    "rtems_event_send (preemptive)",
+    "rtems_event_send: task readied -- preempts caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm17/task1.c
===================================================================
--- c/src/tests/tmtests/tm17/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm17/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -116,5 +116,5 @@
 
   put_time(
-    "rtems_task_set_priority (preemptive)",
+    "rtems_task_set_priority: preempts caller",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm18/task1.c
===================================================================
--- c/src/tests/tmtests/tm18/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm18/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -101,5 +101,5 @@
 
   put_time(
-    "rtems_task_delete self",
+    "rtems_task_delete: calling task",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm19/task1.c
===================================================================
--- c/src/tests/tmtests/tm19/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm19/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -95,5 +95,5 @@
 
   put_time(
-    "rtems_signal_send (self)",
+    "rtems_signal_send: signal to self",
     end_time,
     1,
@@ -102,6 +102,4 @@
   );
 
-  puts( "SIGNAL_ENTER (non-preemptive) na" );
-
   Timer_initialize();
 }
@@ -112,6 +110,4 @@
 {
   rtems_status_code status;
-
-  puts( "SIGNAL_ENTER (preemptive) na" );
 
   status = rtems_task_resume( Task_id[ 3 ] );
@@ -144,5 +140,5 @@
 
   put_time(
-    "rtems_signal_send (non-preemptive)",
+    "rtems_signal_send: returns to caller",
     end_time,
     1,
@@ -159,5 +155,5 @@
 
   put_time(
-    "SIGNAL_RETURN (non-preemptive)",
+    "exit ASR overhead: returns to calling task",
     end_time,
     1,
@@ -201,5 +197,5 @@
 
   put_time(
-    "SIGNAL_RETURN (preemptive)",
+    "exit ASR overhead: returns to preempting task",
     end_time,
     1,
Index: c/src/tests/tmtests/tm20/task1.c
===================================================================
--- c/src/tests/tmtests/tm20/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm20/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -138,5 +138,5 @@
 
   put_time(
-    "rtems_partition_get_buffer (available)",
+    "rtems_partition_get_buffer: available",
     end_time,
     1,
@@ -163,5 +163,5 @@
 
   put_time(
-    "rtems_partition_get_buffer (not available)",
+    "rtems_partition_get_buffer: not available",
     end_time,
     1,
@@ -224,5 +224,5 @@
 
   put_time(
-    "rtems_region_get_segment (available)",
+    "rtems_region_get_segment: available",
     end_time,
     1,
@@ -242,5 +242,5 @@
 
   put_time(
-    "rtems_region_get_segment (RTEMS_NO_WAIT)",
+    "rtems_region_get_segment: not available -- NO_WAIT",
     end_time,
     1,
@@ -257,5 +257,5 @@
 
   put_time(
-    "rtems_region_return_segment (no tasks waiting)",
+    "rtems_region_return_segment: no waiting tasks",
     end_time,
     1,
@@ -287,5 +287,5 @@
 
   put_time(
-    "rtems_region_return_segment (preempt)",
+    "rtems_region_return_segment: task readied -- preempts caller",
     end_time,
     1,
@@ -438,5 +438,5 @@
 
   put_time(
-    "rtems_region_get_segment (blocking)",
+    "rtems_region_get_segment: not available -- caller blocks",
     end_time,
     1,
@@ -455,5 +455,5 @@
 
   put_time(
-    "rtems_region_return_segment (ready -- return)",
+    "rtems_region_return_segment: task readied -- returns to caller",
     end_time,
     1,
Index: c/src/tests/tmtests/tm22/task1.c
===================================================================
--- c/src/tests/tmtests/tm22/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm22/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -98,5 +98,5 @@
 
   put_time(
-    "rtems_message_queue_broadcast (readying)",
+    "rtems_message_queue_broadcast: task readied -- returns to caller",
     end_time,
     1,
@@ -152,5 +152,5 @@
 
   put_time(
-    "rtems_message_queue_broadcast (no waiting tasks)",
+    "rtems_message_queue_broadcast: no waiting tasks",
     end_time,
     OPERATION_COUNT,
@@ -172,5 +172,5 @@
 
   put_time(
-    "rtems_message_queue_broadcast (preempt)",
+    "rtems_message_queue_broadcast: task readied -- preempts caller",
     end_time,
     1,
Index: c/src/tests/tmtests/tm23/task1.c
===================================================================
--- c/src/tests/tmtests/tm23/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm23/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -123,5 +123,5 @@
 
   put_time(
-    "rtems_timer_fire_after (inactive)",
+    "rtems_timer_fire_after: inactive",
     end_time,
     OPERATION_COUNT,
@@ -136,5 +136,5 @@
 
   put_time(
-    "rtems_timer_fire_after (active)",
+    "rtems_timer_fire_after: active",
     end_time,
     OPERATION_COUNT,
@@ -149,5 +149,5 @@
 
   put_time(
-    "rtems_timer_cancel (active)",
+    "rtems_timer_cancel: active",
     end_time,
     OPERATION_COUNT,
@@ -163,5 +163,5 @@
 
   put_time(
-    "rtems_timer_cancel (inactive)",
+    "rtems_timer_cancel: inactive",
     end_time,
     OPERATION_COUNT,
@@ -177,5 +177,5 @@
 
   put_time(
-    "rtems_timer_reset (inactive)",
+    "rtems_timer_reset: inactive",
     end_time,
     OPERATION_COUNT,
@@ -190,5 +190,5 @@
 
   put_time(
-    "rtems_timer_reset (active)",
+    "rtems_timer_reset: active",
     end_time,
     OPERATION_COUNT,
@@ -214,5 +214,5 @@
 
   put_time(
-    "rtems_timer_fire_when (inactive)",
+    "rtems_timer_fire_when: inactive",
     end_time,
     OPERATION_COUNT,
@@ -228,5 +228,5 @@
 
   put_time(
-    "rtems_timer_fire_when (active)",
+    "rtems_timer_fire_when: active",
     end_time,
     OPERATION_COUNT,
@@ -241,5 +241,5 @@
 
   put_time(
-    "rtems_timer_delete (active)",
+    "rtems_timer_delete: active",
     end_time,
     OPERATION_COUNT,
@@ -266,5 +266,5 @@
 
   put_time(
-    "rtems_timer_delete (inactive)",
+    "rtems_timer_delete: inactive",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm24/task1.c
===================================================================
--- c/src/tests/tmtests/tm24/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm24/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -86,5 +86,5 @@
 
   put_time(
-    "rtems_task_wake_after (no context switch)",
+    "rtems_task_wake_after: yield -- returns to caller",
     end_time,
     OPERATION_COUNT,
@@ -111,5 +111,5 @@
 
     put_time(
-      "rtems_task_wake_after (context switch)",
+      "rtems_task_wake_after: yields -- preempts caller",
       end_time,
       OPERATION_COUNT,
Index: c/src/tests/tmtests/tm26/task1.c
===================================================================
--- c/src/tests/tmtests/tm26/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm26/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -174,5 +174,5 @@
  
   put_time(
-    "INTERRUPT DISABLE",
+    "_ISR_Disable",
     end_time,
     1,
@@ -186,5 +186,5 @@
  
   put_time(
-    "INTERRUPT FLASH",
+    "_ISR_Flash",
     end_time,
     1,
@@ -198,5 +198,5 @@
  
   put_time(
-    "INTERRUPT ENABLE",
+    "_ISR_Enable",
     end_time,
     1,
@@ -210,5 +210,5 @@
 
   put_time(
-    "THREAD_DISABLE_DISPATCH",
+    "_Thread_Disable_dispatch",
     end_time,
     1,
@@ -222,5 +222,5 @@
 
   put_time(
-    "THREAD_ENABLE_DISPATCH",
+    "_Thread_Enable_dispatch",
     end_time,
     1,
@@ -234,5 +234,5 @@
 
   put_time(
-    "THREAD_SET_STATE",
+    "_Thread_Set_state",
     end_time,
     1,
@@ -254,5 +254,5 @@
 
   put_time(
-    "THREAD_DISPATCH (NO FP)",
+    "_Thread_Disptach (NO FP)",
     end_time,
     1,
@@ -290,5 +290,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (NO FP)",
+    "context switch: no floating point contexts",
     end_time,
     1,
@@ -307,5 +307,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (SELF)",
+    "context switch: self",
     end_time,
     1,
@@ -319,5 +319,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (Initialised)",
+    "context switch: to another task",
     end_time,
     1,
@@ -350,5 +350,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (restore 1st FP)",
+    "fp context switch: restore 1st FP task",
     end_time,
     1,
@@ -377,5 +377,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (used->init FP)",
+    "fp context switch: save idle, restore initialized",
     end_time,
     1,
@@ -414,5 +414,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (init->init FP)",
+    "fp context switch: save idle, restore idle",
     end_time,
     1,
@@ -443,5 +443,5 @@
 
   put_time(
-    "CONTEXT_SWITCH (used->used FP)",
+    "fp context switch: save initialized, restore initialized",
     end_time,
     1,
@@ -463,5 +463,5 @@
 
   put_time(
-    "THREAD_RESUME",
+    "_Thread_Resume",
     end_time,
     1,
@@ -477,5 +477,5 @@
 
   put_time(
-    "THREAD_UNBLOCK",
+    "_Thread_Unblock",
     end_time,
     1,
@@ -491,5 +491,5 @@
 
   put_time(
-    "THREAD_READY",
+    "_Thread_Ready",
     end_time,
     1,
@@ -511,5 +511,5 @@
 
   put_time(
-    "THREAD_GET",
+    "_Thread_Get",
     end_time,
     OPERATION_COUNT,
@@ -524,5 +524,5 @@
 
   put_time(
-    "SEMAPHORE_GET",
+    "_Semaphore_Get",
     end_time,
     OPERATION_COUNT,
@@ -537,5 +537,5 @@
 
   put_time(
-    "THREAD_GET invalid id",
+    "_Thread_Get: invalid id",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tm27/task1.c
===================================================================
--- c/src/tests/tmtests/tm27/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm27/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -105,5 +105,5 @@
 
   put_time(
-    "INTERRUPT_ENTER (no preempt)",
+    "interrupt entry overhead: returns to interrupted task",
     Interrupt_enter_time,
     1,
@@ -113,5 +113,5 @@
 
   put_time(
-    "INTERRUPT_RETURN (no preempt)",
+    "interrupt exit overhead: returns to interrupted task",
     Interrupt_return_time,
     1,
@@ -139,5 +139,5 @@
 
   put_time(
-    "INTERRUPT_ENTER (nested interrupt)",
+    "interrupt entry overhead: returns to nested interrupt",
     Interrupt_enter_nested_time,
     1,
@@ -147,5 +147,5 @@
 
   put_time(
-    "INTERRUPT_RETURN (nested interrupt)",
+    "interrupt exit overhead: returns to nested interrupt",
     Interrupt_return_nested_time,
     1,
@@ -194,5 +194,5 @@
 
   put_time(
-    "INTERRUPT_ENTER (preempt)",
+    "interrupt entry overhead: returns to preempting task",
     Interrupt_enter_time,
     1,
@@ -202,5 +202,5 @@
 
   put_time(
-    "INTERRUPT_RETURN (preempt)",
+    "interrupt exit overhead: returns to preempting task",
     end_time,
     1,
Index: c/src/tests/tmtests/tm29/task1.c
===================================================================
--- c/src/tests/tmtests/tm29/task1.c	(revision 97005786d89fd7a57b5fe82f713cea739916f3da)
+++ c/src/tests/tmtests/tm29/task1.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
@@ -58,5 +58,5 @@
 
   put_time(
-    "rtems_rate_monotonic_period (initial)",
+    "rtems_rate_monotonic_period: initiate period -- returns to caller",
     end_time,
     1,
@@ -70,5 +70,5 @@
 
   put_time(
-    "rtems_rate_monotonic_period (STATUS)",
+    "rtems_rate_monotonic_period: obtain status",
     end_time,
     1,
@@ -94,5 +94,5 @@
 
   put_time(
-    "rtems_rate_monotonic_delete (cancelled)",
+    "rtems_rate_monotonic_delete: inactive",
     end_time,
     1,
@@ -112,5 +112,5 @@
 
   put_time(
-    "rtems_rate_monotonic_delete (active)",
+    "rtems_rate_monotonic_delete: active",
     end_time,
     1,
@@ -196,5 +196,5 @@
 
   put_time(
-    "rtems_rate_monotonic_period (blocking)",
+    "rtems_rate_monotonic_period: conclude periods -- caller blocks",
     end_time,
     OPERATION_COUNT,
